Classes | Server

# ServerStatusWatcher : Object

Observes and updates Server status
Source: ServerStatus.sc
See also: Server

## Description

An object that observes a Server object by managing status requests and updates. ServerStatusWatcher is a client-side server implementation detail, and users are not expected to need to use it directly. A Server's status watcher can be accessed via Server: -statusWatcher.

## Class Methods

### ServerStatusWatcher.new(server)

Creates a new ServerStatusWatcher.

#### Arguments:

server | An instance of Server.

#### Returns:

The constructed ServerStatusWatcher.

### Inherited class methods

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### .actualSampleRate

### .addStatusWatcher

### .aliveThread

### .aliveThreadPeriod

### .aliveThreadPeriod = value

### .avgCPU

### .doWhenBooted(onComplete, limit: 100, onFailure)

### .hasBooted

### .notified

### .notified = value

### .notify

### .notify = flag: true

### .numGroups

### .numSynthDefs

### .numSynths

### .numUGens

### .peakCPU

### .prHandleLoginWhenAlreadyRegistered(clientIDFromProcess)

### .quit(onComplete, onFailure, watchShutDown: true)

### .resumeThread

### .sampleRate

### .sendNotifyRequest(flag: true)

### .serverBooting

### .serverBooting = value

### .serverRunning

### .serverRunning = running

### .startAliveThread(delay: 0.0)

### .stopAliveThread

### .stopStatusWatcher

### .unresponsive

### .unresponsive = val

### .updateRunningState(running)

### .watchQuit(onComplete, onFailure)

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/ServerStatusWatcher.schelp
link::Classes/ServerStatusWatcher::